Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class PluginException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.hyperic.util.NestedException
                  net.hyperic.hq.product.PluginException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PluginExistsException, PluginNotFoundException

public class PluginException
extends net.hyperic.util.NestedException

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.hyperic.util.NestedException
`_exception`

Constructor Summary
`PluginException()`
`PluginException(java.lang.String s)`
`PluginException(java.lang.String s, java.lang.Throwable t)`
`PluginException(java.lang.Throwable t)`

Methods inherited from class net.hyperic.util.NestedException
`addException, getExceptionOfType, printStackTrace, printStackTrace, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PluginException

    public PluginException()

### PluginException

    public PluginException(java.lang.String s)

### PluginException

    public PluginException(java.lang.Throwable t)

### PluginException

    public PluginException(java.lang.String s,
                           java.lang.Throwable t)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.